Get an Elastic Endpoint rule exception list item

Base URL
https://{kibana_url}
  • GET /api/endpoint_list/items
  • GET /s/{space_id}/api/endpoint_list/items
Auth

Get the details of an Elastic Endpoint exception list item, specified by the id or item_id field.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

id string · format: nonempty · min length: 1

Either id or item_id must be specified

item_id string · format: nonempty · min length: 1

Either id or item_id must be specified

Responses

Successful response

application/json
<array> object[]
_version string
comments object[] required
comment string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

created_at string · format: date-time required
created_by string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

updated_at string · format: date-time
updated_by string · format: nonempty · min length: 1

A string that does not contain only whitespace characters

created_at string · format: date-time required
created_by string required
description string required
entries union[] required
expire_time string · format: date-time
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

item_id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

list_id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

meta object
name string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

namespace_type enum required

Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:

  • single: Only available in the Kibana space in which it is created.
  • agnostic: Available in all Kibana spaces.
Values: agnostic single
os_types enum[]
Values: linux macos windows
tags string[] · format: nonempty
tie_breaker_id string required
type enum required
Values: simple
updated_at string · format: date-time required
updated_by string required

Invalid input data

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication

application/json
error string required
message string required
statusCode integer required

Insufficient privileges

application/json
error string required
message string required
statusCode integer required

Endpoint list item not found

application/json
message string required
status_code integer required

Internal server error

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}